{ config, pkgs, lib, ... }:
{
  programs.vim.enable = true;

  programs.vim.settings = {
    expandtab = true;
    shiftwidth = 4;
    tabstop = 4;
    history = 128;
    ignorecase = true;
    smartcase = true;
    number = true;
    relativenumber = true;
  };

  programs.vim.extraConfig = ''
    set encoding=utf-8
    set fileencodings=utf-8,euc-jp,sjis
    set autoindent
    set smartindent
    set wrap
    set incsearch
    syntax enable
  '';
}
